## proxysink proxysink |

## Types and Values

struct | GstProxySink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstProxySink

## Description

Proxysink is a sink element that proxies events, queries, and buffers to another pipeline that contains a matching proxysrc element. The purpose is to allow two decoupled pipelines to function as though they are one without having to manually shuttle buffers, events, queries, etc between the two.

This element also copies sticky events onto the matching proxysrc element.

For example usage, see proxysrc.

## Synopsis

### Element Information

plugin | proxy
author | Sebastian Dröge <sebastian@centricular.com>
class | Sink

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstProxySink

    struct GstProxySink;